{: test a compilation error occurs when set elements are incompatible }

{$d+}
program e045( output );

var  s: set of char;

begin {e045}

   s := ['0'..'9'] + [3];  { !!! adding integer set to character set }
   if 1 in ['0'..'9'] then { !!! integer in character sets }
      writeln( 'fails: incompatible set elements not detected' );

end. {e045}
